#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xCC,0xC8,0xBF,0x8B,0x4F,0xA7,0xF5,0xBA,0x3A,0x09,0xD3,0x72,
		0xBE,0x0B,0xE0,0xCD,0xF9,0x6C,0xC1,0x5F,0x8D,0xA0,0x1E,0x9F,
		0xD2,0x7C,0x60,0x24,0xB4,0x4F,0xE9,0x58,0x3E,0xE4,0xC3,0xEE,
		0x44,0xA2,0xE6,0xCC,0x44,0x26,0xF9,0x4B,0xFC,0x29,0xF1,0xAB,
		0xEC,0x29,0xC3,0x96,0x02,0x15,0x0E,0x27,0x94,0x05,0xE2,0x02,
		0xC4,0xA7,0xD4,0x17,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
